.game {
  &__info-text {
    font-size: rem(25px);
    font-weight: bold;
    color: #efefef;
    text-shadow: rem(1px) rem(1px) rem(3px) black;
  }
  &__result-text {
    text-transform: capitalize;
    margin: auto;
    font-family: "Permanent Marker", monospace;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    font-size: 4rem;
    line-height: 0.75;
    word-break: break-word;
    height: rem(65px);
    & p {
      background: -webkit-linear-gradient(rgb(255, 18, 18) 30%, rgb(255, 215, 38));
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
    }
    &-top {
      transform: skew(-10deg) rotate(-10deg) translateX(-2rem);
    }
    &-bottom {
      transform: skew(-10deg) rotate(-10deg) translateX(1rem);
    }
  }
  &__play-button {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: 18px;
    width: 20vw;
    height: 20vw;
    max-width: rem(125px);
    max-height: rem(125px);
    background-color: #404040;
    color: white;
    font-weight: bold;
    font-size: rem(18px);
    border-radius: 50%;
    box-shadow: 0px 0px rem(6px) rem(10px) black;
    border: rem(2px) solid #81818182;
    & svg {
      height: 50%;
      fill: white;
      margin-bottom: rem(10px);
      &.red {
        -webkit-filter: drop-shadow(rem(3px) rem(3px) rem(2px) rgba(0, 0, 0, .7));
        filter: drop-shadow(rem(4px) rem(4px) rem(2px) rgba(148, 41, 59, 1));
      }
      &.green {
        -webkit-filter: drop-shadow(rem(3px) rem(3px) rem(2px) rgba(0, 0, 0, .7));
        filter: drop-shadow(rem(4px) rem(4px) rem(2px) rgba(126, 173, 51, 1));
      }
      &.yellow {
        -webkit-filter: drop-shadow(rem(3px) rem(3px) rem(2px) rgba(0, 0, 0, .7));
        filter: drop-shadow(rem(4px) rem(4px) rem(2px) rgba(203, 193, 70, 1));
      }
      &.blue {
        -webkit-filter: drop-shadow(rem(3px) rem(3px) rem(2px) rgba(0, 0, 0, .7));
        filter: drop-shadow(rem(4px) rem(4px) rem(2px) rgba(27, 79, 193, 1));
      }
      &.orange {
        -webkit-filter: drop-shadow(rem(3px) rem(3px) rem(2px) rgba(0, 0, 0, .7));
        filter: drop-shadow(rem(4px) rem(4px) rem(2px) rgba(227, 142, 15, 1));
      }
    }
  }
  &__switch-button {
    position: relative;
    bottom: rem(10px);
    background-image: linear-gradient(to bottom, #fff, #f8eedb);
    border: 0 solid #e5e7eb;
    border-radius: 0.5rem;
    color: #482307;
    cursor: pointer;
    font-family: system-ui;
    font-weight: 700;
    line-height: rem(24px);
    outline: rem(2px) solid transparent;
    padding: 1rem 1.5rem;
    text-align: center;
    box-shadow: rem(-6px) rem(8px) rem(10px) rgb(81 41 10 / 10%), 0px rem(2px) rem(2px) rgb(81 41 10 / 20%);
  }
}

@media screen and (max-width: 991px) {
  .game {
    &__play-button {
      width: 25vw;
      height: 25vw;
      margin-bottom: rem(25px);
    }
    &__result-text {
      font-size: 2.5rem;
    }
  }
}
